#ifndef ALGO_HPP
#define ALGO_HPP

#include <iostream>

/*! Thomas algorithm to solve AX=B where A is a tridiagonal matrix
  \param n size of the matrix A
  \param a (n-1) sub-diagonal coefficients of matrix A
  \param b n diagonal coefficients of matrix A
  \param c (n-1) sup-diagonal coefficients of matrix A (modified)
  \param d n coefficients of vector B (modified)
  \param x n coefficients vector to store the result (modified)
*/

void Thomas(size_t n,double* a,double* b,double* c,double* d,double* x);

#endif
